function [x] = draw_NGG(C, a)

b = exp(C / (1 + a));

prob = (C^(-a) - b^(-a)) / (C^(-a) - b^(-a) + a * exp(- b));

check = 0;
while ( check == 0 )
    if ( rand < prob )
        x = (C^(-a) + rand * (b^(-a) - C^(-a)))^(- 1 / a);
        check = rand < exp(- (x - C));
    else
        x = b - log(rand);
        check = rand < (b / x)^(1+a);
    end
end