load 'galaxy.txt'

data = galaxy / 1000;

burnin = 1000;
every = 5;
numbofits = 1000;

predstar = linspace(5,40,100);

% Fit a Dirichlet process mixtures of normals model to the galaxy data
% using slice 2
[holdL, holdk, holdnumbclust, holdM, holdpred, pred] = sampler_DP(data, 1, 1, 'slice2', burnin, every, numbofits, predstar);

% Fit a NGG process mixtures of normals model to the galaxy using slice 2
[holdL, holdk, holdnumbclust, holdtheta] = sampler_NGG(data, [1 0.01], [1 1], 'slice2', burnin, every, numbofits);